%define pkg_name        Archive-SelfExtract
%define pkg_version     1.3
%define rpm_pkg_version 1.3
%define rpm_pkg_release 2.n0i.2

Summary:       Bundle compressed archives with Perl code
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/G/GR/GREGFAST/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Compress::Zlib)
BuildRequires: perl(IO::Scalar)
BuildRequires: perl(Archive::Zip)
BuildRequires: perl(File::Temp)


%description
Archive::SelfExtract allows you create Perl programs out of compressed
zip archives. Given a piece of code and an archive, it creates a single
file which, when run, unpacks the archive and then runs the code.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files -b -m}
%doc CHANGES README


%changelog
* Thu Jun 14 2007 Marius Feraru <altblue@n0i.net> - 1.3-2.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer/1.14.9
- rebuild on perl 5.8.8

* Mon Aug 01 2005 Marius Feraru <altblue@n0i.net> 1.3-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
